뉴스광장
클라우드/리눅스에 관한 뉴스를 제공합니다.
보안 분류

컨테이너 환경에서 발생하는 Leaky Vessles 취약점 보안 업데이트 권고

작성자 정보

  • 관리자 작성
  • 작성일

컨텐츠 정보

본문

□ 개요
 o 컨테이너 환경에서 발생하는 “Leaky Vessels” 취약점 해결을 위한 보안 업데이트 공개 [1] [2]

 o 영향받는 소프트웨어를 사용 중인 시스템 사용자는 최신 버전으로 업데이트 권고

  ※ Leaky Vessels : 격리된 컨테이너 환경을 벗어나 호스트 환경에 접근 가능한 취약점 


□ 설명
 o runC에서 발생하는 내부 파일 서술자(File Descriptor) 누출 취약점(CVE-2024-21626) [3]
 o BuildKit에서 발생하는 레이스 컨디션 취약점(CVE-2024-23651) [4]
 o BuildKit 프론트엔드에서 발생 가능한 컨테이너 외부 파일 제거 취약점(CVE-2024-23652) [5]

 o BuildKit의 대화형 컨테이너 API에서 부적절한 권한 검증 취약점(CVE-2024-23653) [6]

  ※ runC : Open Container Initiative의 컨테이너를 생성하고 실행하기 위한 CLI 도구

  ※ BuildKit : Moby 산하의 프로젝트이며, 컨테이너를 사용하여 소프트웨어를 빌드하고 패키징 하기 위한 툴킷


□ 영향받는 도구 및 해결 방안

취약점

도구

영향받는 버전

해결 버전

     CVE-2024-21626

     runC

  v1.0.0-rc93 ~ v1.1.11

v1.1.12

     CVE-2024-23651

     CVE-2024-23652

     CVE-2024-23653

BuildKit

    v0.12.4 이하

v0.12.5

 ※ 하단의 참고사이트를 확인하여 최신 버전으로 업데이트 수행 [1] [2]

□ 기타 문의사항
 o 한국인터넷진흥원 사이버민원센터: 국번없이 118

[참고사이트]
[1] https://github.com/opencontainers/runc/releases/tag/v1.1.12
[2] https://github.com/moby/buildkit/releases/tag/v0.12.5

[3] https://github.com/opencontainers/runc/security/advisories/GHSA-xr7r-f8xq-vfvv

[4] https://github.com/moby/buildkit/security/advisories/GHSA-m3r6-h7wv-7xxv

[5] https://github.com/moby/buildkit/security/advisories/GHSA-4v98-7qmw-rqr8

[6] https://github.com/moby/buildkit/security/advisories/GHSA-wr6v-9f75-vh2g


□ 작성 : 침해사고분석단 취약점분석팀

관련자료

댓글 0
등록된 댓글이 없습니다.

공지사항


뉴스광장


  • 현재 회원수 :  60,066 명
  • 현재 강좌수 :  35,971 개
  • 현재 접속자 :  262 명